#
# spec file for package librcc
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define lname librcc0
Name:           librcc
Version:        0.2.10
Release:        13.1
Summary:        Russian Charset Conversion Library
License:        LGPL-2.1+
Group:          System/Libraries
Url:            http://rusxmms.sourceforge.net
Source0:        http://dside.dyndns.org/files/rusxmms/%{name}-%{version}.tar.bz2
Source1:        baselibs.conf
# PATCH-FIX-UPSTREAM librcc-0.2.9-czech_config.patch lazy.kent.suse@gmail.com -- fix Czech locale code in config file
Patch3:         librcc-0.2.9-czech_config.patch
BuildRequires:  aspell-devel
BuildRequires:  db-devel
BuildRequires:  librcd-devel
BuildRequires:  libtool
BuildRequires:  pkg-config
BuildRequires:  enca-devel
BuildRequires:  libxml2-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       rcc-runtime = %{version}
Supplements:    packageand(unzip:aspell)

%description
Provides posibility to automaticaly convert considered encodings (a lot
of languages is supported, not only russian one) to/from UTF-8. The
library is part of rusxmms patch.

%package -n %lname
Summary:        Russian Charset Conversion Library
Group:          System/Libraries

%description -n %lname
Provides posibility to automaticaly convert considered encodings (a lot
of languages is supported, not only russian one) to/from UTF-8. The
library is part of rusxmms patch.

%package -n librcc-devel
Summary:        Development Files for LibRCC
Group:          Development/Libraries/C and C++
Requires:       %{lname} = %{version}

%description -n librcc-devel
Development files for the package LibRCC.

%package -n rcc-runtime
Summary:        LibRCC Runtime Environment
Group:          Productivity/Text/Convertors

%description -n rcc-runtime
Runtime environment for the package LibRCC.

%prep
%setup -qn %{name}-%{version}
%patch3

%build
./autogen.sh
%configure \
    --disable-static \
    --disable-libtranslate \
    --disable-gtk2
make %{?_smp_mflags}

%install
%make_install
install -Dm 0644 examples/rcc.xml %{buildroot}%{_sysconfdir}/rcc.xml
rm -f %{buildroot}%{_libdir}/{*.la,rcc/engines/*.la}
rm -rf %{_builddir}/librcc-%{version}/examples/{.deps,Makefile,*~}

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root,-)
%{_libdir}/librcc.so.*
%{_libdir}/librccui.so.*

%files -n librcc-devel
%defattr(-,root,root,-)
%doc docs examples
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/%{name}.pc

%files -n rcc-runtime
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/rcc/
%config(noreplace) %{_sysconfdir}/rcc.xml

%changelog
* Thu Dec 20 2012 lazy.kent@opensuse.org
- Update to 0.2.10.
  * Fixed bugs.
- Drop librcc-printf.diff, librcc-0.2.9-suse-lint.diff,
  librcc-0.2.9-provide_prototype.patch (fixed upstream).
- Build against libdb (build requires db-devel).
* Fri May 11 2012 coolo@suse.com
- rename base package to librcc to avoid package renames later
* Fri Dec 16 2011 lazy.kent@opensuse.org
- Corrected License tag according to SPDX standard.
- Use full URL as a source.
- Removed unsupported SUSE version check.
- Spec clean up and formatting.
* Mon Nov 21 2011 jengelh@medozas.de
- Remove redundant/unwanted tags/section (cf. specfile guidelines)
- Use %%_smp_mflags for parallel building
* Sun Nov 20 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Tue Aug 23 2011 pth@suse.de
- Use packageand to pull in librcc0 if aspell and unzip are
  installed (bnc#710609).
* Mon Jun  7 2010 lazy.kent.suse@gmail.com
- corrected rccFree patch
* Wed May 26 2010 pth@suse.de
- Fixx rccFree definition and all its callers.
* Fri Apr  2 2010 lazy.kent.suse@gmail.com
- add COPYING
* Sun Mar 14 2010 lazy.kent.suse@gmail.com
- fix Czech locale code in config file
* Thu Mar 11 2010 lazy.kent.suse@gmail.com
- split off runtime package
- remove rpmlint warnings
* Mon Mar  8 2010 lazy.kent.suse@gmail.com
- spec-file reworked
- don't build GTK UI
* Fri Feb 12 2010 csa@dside.dyndns.org
  New version
